Summary:    X.Org X11 xkb utilities
Name:       xorg-x11-xkb-utils
Version:    7.7
Release:    29
License:    MIT
URL:        https://www.x.org

Source0:    https://www.x.org/pub/individual/app/setxkbmap-1.3.1.tar.bz2
Source1:    https://www.x.org/pub/individual/app/xkbcomp-1.4.2.tar.bz2
Source2:    https://www.x.org/pub/individual/app/xkbevd-1.1.4.tar.bz2
Source3:    https://www.x.org/pub/individual/app/xkbprint-1.0.4.tar.bz2
Source4:    https://www.x.org/pub/individual/app/xkbutils-1.0.4.tar.bz2

Patch0001:  backport-Suppress-high-keycode-warnings-at-the-default-warning-level.patch

BuildRequires:  byacc pkgconfig(x11) pkgconfig(xaw7) pkgconfig(xkbfile) pkgconfig(xorg-macros) >= 1.8 pkgconfig(xt)

Provides:   setxkbmap = 1.3.1
Provides:   xkbcomp = 1.4.2
Provides:   xkbevd = 1.1.4
Provides:   xkbprint = 1.0.4
Provides:   xkbutils = 1.0.4
Provides:   xorg-x11-xkb-extras

Obsoletes:  xorg-x11-xkb-extras

%description
X.Org X11 xkb core utilities.

%package_help

%package devel
Summary:    X.Org X11 xkb utilities development package
Requires:   pkgconfig
Requires:   xkbcomp

%description devel
X.Org X11 xkb utilities development files.

%prep
%setup -q -c xorg-x11-xkb-utils-%{version} -a1 -a2 -a3 -a4
pushd xkbcomp-*
%patch0001 -p1
popd

%build
{
    for app in * ; do
        pushd $app
            case $app in
                xkbcomp-*)
                    rm xkbparse.c
                    ;;
                *)
                    ;;
            esac
            %configure
            %{make_build}
        popd
    done
}

%install
{
    for app in * ; do
        pushd $app
            %make_install
        popd
    done
}

%files
%doc xkbutils-1.0.4/COPYING
%doc xkbutils-1.0.4/README
%{_bindir}/xkbbell
%{_bindir}/xkbevd
%{_bindir}/xkbprint
%{_bindir}/xkbvleds
%{_bindir}/xkbwatch
%{_bindir}/setxkbmap
%{_bindir}/xkbcomp

%files help
%{_mandir}/man1/setxkbmap.1*
%{_mandir}/man1/xkbcomp.1*
%{_mandir}/man1/xkbbell.1*
%{_mandir}/man1/xkbevd.1*
%{_mandir}/man1/xkbprint.1*
%{_mandir}/man1/xkbvleds.*
%{_mandir}/man1/xkbwatch.*

%files devel
%{_libdir}/pkgconfig/xkbcomp.pc

%changelog
* Fri Jan 29 2021 chengguipeng<chengguipeng1@huawei.com> - 7.7-29
- Type: bugfix
- ID: NA
- SUG: NA
- DESC:solve the issue which dispaly X11 cannot support keycodes above 255

* Thu Sep 12 2019 openEuler Buildteam <buildteam@openeuler.org> - 7.7-28
- Package init

